--- title: "Test your skills: Multicol" slug: Learn/CSS/CSS\_layout/Multicol\_skills tags: - CSS - Example - Guide ---

{{LearnSidebar}}

The aim of this task is to get you working with the CSS {{CSSxRef("column-count")}}, {{CSSxRef("column-width")}}, {{CSSxRef("column-gap")}}, {{CSSxRef("column-span")}} and {{CSSxRef("column-rule")}}  properties and values covered in our lesson on [Multiple-column Layout](/en-US/docs/Learn/CSS/CSS_layout/Multiple-column_Layout). You will be working through three small tasks which use different elements of the material you have just covered.

**Note**: You can try out solutions in the interactive editors below, however it may be helpful to download the code and use an online tool such as [CodePen](https://codepen.io/), [jsFiddle](https://jsfiddle.net/), or [Glitch](https://glitch.com/) to work on the tasks.  
  
If you get stuck, then ask us for help — see the {{anch("Assessment or further help")}} section at the bottom of this page.

Multicol One
------------

In this task you need to create three columns, with a 50px gap between each column.

![Three columns of text](multicol-task1.png)

Try updating the live code below to recreate the finished example:

{{EmbedGHLiveSample("css-examples/learn/tasks/multicol/multicol1.html", '100%', 1000)}}

For assessment or further work purposes, [download the starting point for this task](https://github.com/mdn/css-examples/blob/master/learn/tasks/multicol/multicol1-download.html) to work in your own editor or in an online editor.

Multicol Two
------------

Create columns which have a minimum width of 200px.

Then, add a 5px, grey rule between each column, ensuring there is 10px of space between the edge of the rule and the column content.

![Three columns of text with a grey rule between them.](multicol-task2.png)

Try updating the live code below to recreate the finished example:

{{EmbedGHLiveSample("css-examples/learn/tasks/multicol/multicol2.html", '100%', 1000)}}

For assessment or further work purposes, [download the starting point for this task](https://github.com/mdn/css-examples/blob/master/learn/tasks/multicol/multicol2-download.html) to work in your own editor or in an online editor.

Multicol Three
--------------

Cause the element containing the heading and subheading to span across all columns so it looks like the image.

![Three columns of text with a heading and subheading spanning all three in the middle.](multicol-task3.png)

Try updating the live code below to recreate the finished example:

{{EmbedGHLiveSample("css-examples/learn/tasks/multicol/multicol3.html", '100%', 1000)}}

For assessment or further work purposes, [download the starting point for this task](https://github.com/mdn/css-examples/blob/master/learn/tasks/multicol/multicol3-download.html) to work in your own editor or in an online editor.

Assessment or further help
--------------------------

You can practice these examples in the Interactive Editors mentioned above.

If you would like your work assessed, or are stuck and want to ask for help:

1.  Put your work into an online shareable editor such as [CodePen](https://codepen.io/), [jsFiddle](https://jsfiddle.net/), or [Glitch](https://glitch.com/). You can write the code yourself, or use the starting point files linked to in the above sections.
2.  Write a post asking for assessment and/or help at the <a href="https://discourse.mozilla.org/c/mdn/learn" class="external external-icon">MDN Discourse forum Learning category</a>. Your post should include:
    -   A descriptive title such as "Assessment wanted for Multicol skill test 1".
    -   Details of what you have already tried, and what you would like us to do, e.g. if you are stuck and need help, or want an assessment.
    -   A link to the example you want assessed or need help with, in an online shareable editor (as mentioned in step 1 above). This is a good practice to get into — it's very hard to help someone with a coding problem if you can't see their code.
    -   A link to the actual task or assessment page, so we can find the question you want help with.
